Subject: [MMUSIC] ice-tcp review

From: Tim Moore <[email-masked]>
Date: Mon, 20 Mar 2006 12:37:03 -0800

11.  Binding Keepalives
This section contains
the definition of framing over tcp
how to demultiplex rtp/stun.

The framing is tcp specific.
The demultiplexing is generic to udp and tcp but I can't find this description in ice. Shouldn't the demultiplex description be in the ice draft
Note: This comment affects the ice draft as well if accepted

5.  Encoding
   "Encoding of the m/c-line, however, requires special considerations
   for TCP.  If there is no active candidate, the media session MUST
   include an a=holdconn attribute as defined in RFC 4145 [3]."

I believe you mean if the m/c line is TCP and it is not active then a=holdconn must be included but the wording isn't very clear

7.  Performing the Connectivity Checks
I believe Erkki's comment on MAPPED-ADDRESS should be XOR-MAPPED-ADDRESS applies.

The following are editing nits

2 occurrences of "acpass" which should be actpass
2 occurrences of "procedurs" which should be procedures

7.  Performing the Connectivity Checks
  "Even Ta seconds, the agent performs a new connection attempt.  This"
Should be
  "Every Ta seconds, the agent performs a new connection attempt.  This"

Tim

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic